## Global styles for Cloudscape Design System

This package contains the source code of the global styles for the [Cloudscape Design System](https://cloudscape.design/).

Cloudscape is an open source design system for building intuitive, engaging, and inclusive web cloud experiences at scale. It consists of an extensive set of guidelines to create user experiences, along with the design resources and front-end components to streamline implementation.

Cloudscape was built for and is used by Amazon Web Services (AWS) products and services. We created it in 2016 to improve the user experience across AWS web applications, and also to help teams implement those applications faster. Since then, we have continued enhancing the system based on customer feedback and research.

You can find [documentation about global styles](https://cloudscape.design/get-started/integration/global-styles/) on the Cloudscape documentation website.

Browse the [components repository](https://github.com/cloudscape-design/components) of Cloudscape Design System.

## Getting help

You can [create bug reports or feature requests](https://github.com/cloudscape-design/global-styles/issues/new/choose), or [start a discussion](https://github.com/cloudscape-design/components/discussions) to ask a question. To minimize duplicates, we recommend that you search for existing bug reports, feature requests, or discussions before initiating a new thread.

## Contributing

The [contribution guidelines](https://github.com/cloudscape-design/global-styles/blob/main/CONTRIBUTING.md) contains information on how to contribute, as well as our support model and versioning strategy.

## License

This project is licensed under the [Apache 2.0 License](https://github.com/cloudscape-design/global-styles/blob/main/LICENSE).
